Angband 3.5.1
=============

Welcome to the changelog for Angband 3.5. This file tracks the changes 
made since 3.4.0. References are to tickets at trac.rephial.org, or (if 
no ticket exists) to git commit IDs.

Please note that we don't guarantee that living characters will move 
gracefully between versions - it might work or it might not!  Ideally, 
you should finish off your character in 3.4.1 before moving over.

Changes in 3.5.1
----------------
* Allow stores to be given items for recharging in no_selling (thanks PowerWrym)
* Fix crash bug with non-ASCII characters in monster + object lists (#1811)
* Fix a bug introduced with monster lights that makes monsters stupider
* Display level feelings in the status bar (thanks LuthienCeleste)
* Fix player history log turncount bug (#1815)
* Fix bugs where mimics could sometimes be hasted without being woken up (#1821)
* Fix the curses port ascii walls option & wall lighting bug (#1813)
* Fix bug where pressing 'e' with no equipment would bring up inventory (#1824)
* Update help files and improve some in-game explanatory text.
* Remove occasional double object feelings
* Fix bug where down stairs could occur on quest levels without killing the boss (#1802)
* Fix some memory leaks (thanks noz)
* Fix bug where identifying items in the quiver would say they were on the ground (#1820)
* Fix bug where randarts could get the remove curse activation
* Fix bug where artifacts sometimes weren't located
* Fix bug where sometimes identifying objects would produce strange effects when selecting later objects
* Fix bug where hitting monsters with missile weapons at maximum range would damage them twice (thanks shadowsun)
* Fix Windows 8 compilation & Windows DLL issue
* Fix build problems with HTML and PDF manual generation (#1810, #1831)
* Fix some unit tests


Angband 3.5.0
=============

Bugs fixed
----------
* Force radius 3 for randart lights. (#1752)
* Fix up monster recall colouring and hit chance.  (#1772)
* Allow drop/drop all from the inventory context menu to work correctly in the home. (#1727)
* Inscriptions now take use the roguelike keyset if that's what you're using.  (#437)
* Fix object visuals dumping bug reported at http://angband.oook.cz/forum/showthread. php?t=5864
* Picking things up wasn't using energy. Also fix autopickup not always working.  (#1759)
* Omit unnecessary UI updates during birth process. Helps with refresh issues.  (#1669)
* Correct comments for X: in p_race.txt. (#1708)
* Reformatted Greater Maia description. (#1691)
* Clean up msg_repository[]. (#1690)
* Re-enable autosave. (#1699)
* Fix article handling when a detected item that's really a mimic, but is displaying as a red star because the player hasn't had LOS with it yet, is found to be a mimic.  (#1676)
* Fix up article handling in messages reported in forum posts. (#1500)
* Fix monster capitalisation typos. (#1711) Patch by mart0258.
* Stop crashes when changing to ASCII in SDL.
* Fix UTF8 in HTML screendumps.
* Fix cursor in bigtile mode.
* Fixed a crash bug where do_cmd_inven() and do_cmd_equip() permitted tracking nonexistent items.
* Fix keymap pref-parsing bug (patch by AnonymousHero). (#1683)
* Fix typos in hints.txt and object.txt.
* Fix up various bugs with the item list: stop it combining items the player doesn't know are the same (#1687), stop leaking information on unknown items.
* Stop giving the player a menu for pickup if there is only 1 item they can see but other items that are squelched.
* Assign 'O' as roguelike keyset equivalent of 'K' (unhide squelched items). (#1679)
* Make sure that both Enter and 't' can toggle options in all option submenus.  (#1501)
* Allow the -u switch to specify filenames outside of ANGBAND_LIB_SAVE on non-setgid systems. (#1220)
* Fix the birth menu starting race and class on the last entry instead of the first.
* Save HP warning and delay factor settings to options pref file.
* Allow pStun to be generated on non-body armour randarts.
* Fix up the logic of teleport level so it's always correct.
* Show quiver slots in inventory again (#1761)
* Fix monster tile mappings in the Adam Bolt tileset by nicking them all from PWMAngband (many thanks!).  (#905)
* Stairs never appear in walls after killing Morgoth (fixes #874).
* Allow >255 character wide/high screens.  (#427)
* The game will first look for a user pref file matching the character name (as it currently does). If that fails, it will try to find one matching the savefile name. Should address parts of #671 and #758.  (Thanks Ben Semmler)
* A load of grammar fixes (thanks Ben Semmbler).  Fixes #1738, #1732, #1731.
* Clean up duplicate and conflicting monster flags (thanks Ben Semmler).  Fixes #1601, #1692.
* Change description for deep descent from two levels down to five levels down.
* Fix cavern redraw bug, update a lot of code to use cave->(width|height) instead of DUNGEON_(HGT|WID)  (fixes #1751).
* Fix original tiles trap detect image (it was a hydra before)
* Make the game handle neuter gender better.  (#1763)
* Move universal use in the roguelike keyset to 'X' to avoid conflict with running north east. (#1758)
* Univeral use command defaults now to inventory instead of equipment. (#1736)
* Make the subwindow inventory display responsive to its term size - hiding the weights and abbreviating item descriptions  * in small windows.  (#1735)
* Fix old bug there if a monster is targeted using 'free targeting' mode, use_old_target would never clear after it was dead. *  (#332)
* Ensure monster death messages to go last, so you don't get "it dies.  it moans in pain." type messages. (#1554)
* Clear overhead subwindow on level change when necessary. (#1495)
* Allow monsters to be placed on locations that have objects.
* Various grammar fixes (full stops, singular/plural agreement)
* Fix description for Rend Soul.
* In character dumps, don't include origin information for non-wearables and don't include obvious and basic flags.
* Fix typo that limited boulder damage.
* Light description and character dump fixes.  (#401, #403, #1681, #1325, #1681)
* Get rid of extra linebreaks in character dumps. (#1325)
* Stop mimics revealing themselves when running. (#1667)
* Adjust 'when drunk' to 'when quaffed' for pedants.  (#1635)
* Add back in sounds on monster deaths from spells.  (#1630)
* Stop the inventory menu overwriting item descriptions.  (#1725)
* Only show fail rates on items when requested if those items have fail rates.  (#1734)
* Display a blank for a message count of zero. (#1787)
* Allow chests underfoot to be disarmed. (#1779)
* Fix gcu window sizing bug when there are any number of rows or columns besides 1 or 3.
* Prevent polymorphing into force-depth monsters.
* Attempt a fix of #142, hopefully making Windows fonts not disappear after an upgrade / folder move.
* Force drop knowledge on first kill and use race flags to determine drop text. (#1780)
* Gray out and disable some context menu items. (#1776)
* Check user directory for pref files. (#671)
* Offset cursor for sval squelch menu. (#1785)
* Feel objects when blind or without light. (#1665)
* Fix sounds, make message pref files use textual message types instead of numbers.  (#1748), #1799.
* Fix various monster death messages and sounds.
* Prevent traps from being created on glyphs. (#1790)
* Partially address #671: Strip roman numeral suffixes when looking for pref files to load.
* Reorder inventory before displaying identification messages. (#1037)
* Create full stacks when combining pack. (#1733)
* Fix out-of-bounds crash in cave_monster_at(). (#1801)
* Fix chaos damage message. (#1806)
* Update map to show items felt during blindness.
* Fix pickup behaviour in the dark. (#1665)
* Save "unignore" status in savefiles. (#1293)
* Fix some monster plurals. (#1424)
* Fix mimic damage monsters when they're still mimicking. (#1754)
* Fix pval display on artifact jewelry. (#1789)
* Light up quartz and magma only when the player can see them.
* Pushing or trampling mimics now reveals them. (#1755)
* Allow shift-arrow-keys to run in curses again. (#1756)

Gameplay changes
----------------
* Monster groups completely overhauled.  Now different monsters tend to appear with different companions, and some uniques appear together too.  This results in e.g. groups of novice adventurers of different kinds appearing together.
* Rebalance object generation. Flatten out chances of getting good and great items - means more good and great items early on, proportionally fewer later.
* Rewrite ego allocation and rarities so that egos are more level-appropriate.
* Turn off selling to stores by default. Tweak the store interface so that it no longer talks about selling for 0 gold, instead you give items to the store in return for identification or recharging.
* Monsters spawn a lot less frequently after level is created (chance per turn has gone from 1/160 to 1/500).
* Reduce the size of monster escorts and groups.
* Make uniques more likely to drop out-of-depth items, and reduce the number of chances DROP_GREAT drops get at being great to compensate.
* Elvenkind now has level-dependent speed bonuses.
* Give thematic spell-book drops to monsters.
* Make town spellbooks available earlier in the dungeon (at dlev1 instead of dlev5).
* Change monster elemental attacks so that they do some part of their damage using elemental damage and some of it using physical damage. This means that the damage a monster attack gets calculated twice - once for if it was pure damage, one if it was elemental damage. Whichever of the two is higher is the amount of damage dealt.  This meant that immunity won't reduce damage ridiculously low.
* Make Purifications and Healing a bit more of a find for Paladins by making CSW and CMW slightly better than the earlier versions instead of worse.  (#888)
* Give the player a bonus to damage absorption for physical elemental attacks (085574b82d649)
* Some monster attacks no longer do physical damage (e.g. touch, spit, etc.) - they only do elemental damage. (3fc86a0f84db)
* Remove birth_ai_smart (broken). Replace with birth_force_descend, which is like 'ironman lite' - you can only take down stairs. You can still recall but down stairs from the town take you to your deepest level + 1.
* Make the damage monsters deal with each attack and their AC visible to the player after one attack/one hit.
* Remove Charisma and tone down gold drops to compensate.
* Remove Iron Spikes, jammed doors, and player door bashing.
* Replace rings of rFire & rCold with one ring, rFire&Cold
* Move =Flames/Ice/Lightning/Acid higher in the dungeon
* Radically improve Slow Digestion (you nearly never need to eat with it).
* Tweak mushrooms:
 - fast recovery heals some HP, clear mind heals 10SP.
 - substantially increase duration of telepathy from ,SecondSight and rConf from ,ClearMind.
 - Terror now gives you +10 speed
 - 2x change of finding ,Vigor, will be found later
 - mushrooms appear generally later in the dungeon and are spread out more
* Stop scrolls of Curse Armour/Weapon being generated, since they are gamebreaking when there are no sources of Remove Curse.
* All classes now start with a dagger (except priests) and less food/fewer torches.
* Split out start_kit option from no_selling.
* More option removals: maximise, birth_ai_smell, birth_ai_packs and easy_open are now permanently on. birth_ai_cheat is permanently off. Most disturb options have been removed, leaving only the one that people seem to actually change.
* Add solid and hybrid wall options, a la Sil. This removes platform-specific solid wall setups.
* Tone down the drop frequencies of spellbooks
* The Phial is radius 3 again.
* Instead of the general store having only 'always stocked' items, most shops now have some 'always stocked' items. These items are in an infinite stack, so you can buy as many as you like and there will always be another 40 in the store.
* There are more food types for sale at the General Store, and it sometimes stocks some mushrooms now as well.
* The Temple sells healing potions again now, and the alchemist will sometimes stock other potions it couldn't previously.
* Polymorph monster is more likely to work and has a wider range of possible monsters to switch between.
* Boots of Speed and Boots of Elvenkind are now at least +2 and +4, respectively.
* Make the priest/paladin spell recharging rise with level as the description says.  It'll be as good at the scroll at clev30.
* Remove Gorged status if you eat too much food.
* Teleport object power now triggers 2x as often.
* No rings are now native <DL10
* All DSM breath weapons do at least 150 damage
* Move hellhounds to level 42 (#1718)
* Prevent regeneration during the first few turns of resting. (#1771)
* Allow randarts to have random flavors again.
* Drop equipped items when squelched (with confirmation). (#1737)
* Special flavoured artifacts have fixed item flavours now. (#1646)

Level generation changes:
* Add Nomad's new rooms, which make dungeons feel a lot more interesting.
* Add pac-man vault
* Rebalance frequencies and levels for different room types
* Increase floor drops in caverns and labyrinths
* Allow two nests or pits each level
* Reduce pit size and make nest size variable

User interface
--------------
* Make the default macro for 'swap weapon' be assigned to 'x' instead of 'X' for the Angband keyset. (#860)
* Make inventory listings terser in the term window if there's not much room.  (#121)
* Make it so skills, hitdie and exp modifier when selecting a class on the birth screen are shown with racial adjustments, a la stat display. Fixes #1705 (thanks danial.santos).
* Improved error message for no available new spells to gain. Thanks to hboetes for pointing it out.
* Redesign character sheet, changing the fighting and shooting skills scores into numbers comparable to to-hit scores, and rearranging all combat info to be together in the centre of the screen. Also improve spacing.  Fix height/weight display to be in sensible units.
* Rename =Delving to =Digging for thematic consistency
* Add option to show damage player does to monster in melee.
* Add a prompt if you try to deactivate WoR, just in case.
* Add Dragon Scale Mail category to squelch
* Remove player social class
* Allow loading and saving of autoinscription preferences to pref file.
* Include Dubtrain's sound set instead of the one Angband perviously had (encoded as high-quality VBR MP3).
* Add platform-native save dialogue boxes for character dumps and other things which prompt for a file to save to on OS X (both Carbon and Cocoa). Add note telling user where character dump is going to be saved to in text mode.
* On UNIX systems, there is a -l argument which shows you which savefiles you can use and what they are (e.g. savefile 'Nomad', L30 High-Elf Warrior on dungoen level 30). This will be ported to other frontends at some point.
* (Windows) Add some keyboard shortcuts to the Windows port for 'new game' and 'open game'.  (#887)
* (Windows) Make the windows port save the game before closing on shutdown.  (#296)
* (Curses) Allow specification of number of terminals in the curses port.
* Combine first two pages of options together; rearrange vaguely thematically.  Add autoinscription shortcut from main options screen.
* Stop allowing the user to save options to a pref file, to avoid confusion.  (#1127)
* Add Sil-style target highlighting option
* Add a new splashscreen
* Stop truncating player notes, clean up character dump so history looks more like how Sil has it, and modernise player history UI.  (#1615)
* Allow object recall during look.  (#1684)
* Add separate squelch category for Blades of Chaos, Scythe of Slicing, Made of Disruption. (#1781)
* Call the plasma effect plasma everywhere, not sometimes hellfire and sometimes plasma.
* Add command to toggle spell description. (#1628)
* Remove 'mouse button' support.
* Rewrite monster list and object list code, making both less buggy and swisher. (#1611, #1803)
* Fix lighting settings in graphics modes.
* Change vein colors for better visibility. (#1786)
* Use flavored object kind for untouched artifacts. (#1646)
* Update browse prompt with ? toggle.
* Update context menus to use correct keys and to check inscriptions, as well as making them gray out properly.
* Display a message when both equipment and inventory are empty and the player presses 'e'.

OS X:
* Include Ben Semmler's excellent work on the Mac port:
  - Term windows can now be resized.
  - Add a command menu to get around issues with non-US keyboards. #880, #1460
  - Create a safe install target for development versions. #506
  - Change some makefile and Info.plist things to clean up version strings. #1701
  - Make windows closeable based on subwindow flags. #1664
* Fix for #1709: Use isMainWindow instead of isKeyWindow for detecting front-most window in main-cocoa, and don't try to change font for non-Angband windows. Also update the font selection panel when windows become main.
* Fix for #1695: In the Cocoa port, Cmd-Q now does nothing when inkey_flag is false, e .g. when the inventory menu is up. This behavior is now consistent with the Windows port.
* Finished the fix to #1669: remove call to displayIfNeeded from Cocoa TERM_XTRA_FRESH handler. (thanks to mtadd)
* Further issues from #1678: corrected bounds for clickable region and added support for OPT(mouse_buttons).
* Add right click and click plus modifier support.
* Add mouseclick support for the Cocoa frontend.
* Add support for animate_flicker option.

Borg changes
------------
* Clean up logic and fix bugs in borg_item_analyze().
* Make borg room lighting behaviour a lot smarter.
* The borg turns off 'lazy movement' if it's on because it can't cope with it.
* Allow the borg to remove rubble it finds.
* Fix up borg ID routines to reflect the fact the game doesn't have 'light' pseudo anymore, and to get less confused about equip/inven screen selection.
* Lots of unused or defunct code has been removed (unused globals, copies of the main game's constants/tables).
* Lots of other code has been cleaned up significantly (removing unused function arguments, repeated code, msg(NULL) -> message_flush()).

Coding changes
--------------
* Stop the code indexing into the monster race array all the time, instead preferring to pass around monster_race *. This has allowed significant simplifications throughout the code.
* Merge all store-related info in external files into a rewritten store.txt.
* Support building with clang.
* Add debug command to really hurt monsters ('H')
* Fix loads of warnings and errors that clang and splint threw up.
* Remove p_ptr->command_arg.
* Change alloc_prob and rarities to an int instead of a byte. (#1677)
* Refactor and simplify get_obj_num_by_kind(). Patch by daniel.santos. (#1707)
* Refactor a load of duplicated code in mon-power.c. Patch mostly by daniel.santos. (#1706)
* Remove Carbon-specific support for using '~' in paths on OS X to mean 'home directory' because Carbon is deprecated and it's unnecessary.
* Get close to removing z-type.c
* Factor out a lot of externs.h
* As ever, more little bits of cleanup and removal of old unused code.
* Allow item creation to be narrowed to one tval only.
* Replace a lot of passing around indexes into r_info, k_info etc with passing pointer to the appropriate entry instead. Closes out #1499.
* Clean up options saving code
* Change the format of flavors.txt so each flavour is on its own line - it's a lot more readable now. (#576)
* Refactor savefile loading framework into multiple shorter functions. It's a lot cleaner now.
* Remove op_ptr->base_name and process_player_name(). Replace with savefile_set_name() to set savefile filename and player_safe_name() which returns a filesystem-safe player name.
* Make the -d commandline arg useful (only applicable to non-Windows/OS X installs)
* Split SET_UID define out into SETGID for multiuser installs and UNIX. UNIX includes OS X. This means that on individual-user setups, the savefile no longer has your UID prepended. Angband will rename your savefiles to the new style when you first run it.
* Terrain feature flags now have the same bitflag system as the rest of th game, and are used by cave_is* predicates where appropriate.
* Convert most cave->feat access (and uses of FEAT_*) to function calls instead (e.g. cave->feat == FEAT_FLOOR -> cave_isfloor(), add cave_isshop(), & more)
* Remove cave_bold* functions/macros because they were named ridiculously, replace with better named functions.
* Rewrite FOV code to remove a massive Ben-era hack (vinfo_hack, and also uses of view_g/view_n/fast_cave_info). FOV is now more restrictive than before.
* The various CAVE_ constants (for cave->info[][]) have been named more sensibly, and in some places stopped being used
* Replace file_seek() with file_skip() as it was unused and skipping is more useful.
* The buildsystem can now build and install the HTML & PDF documentation. The OS X dist target and scripts/pkg_win will also package the manual if it exists. 'make dist' in the angband directory will now try to make the manual before packaging up the game and supercedes scripts/pkg_src.
* Try to move things out of defines.h into more appropriate places, and likewise with util.c
* Update lore system to use textblocks.
* Fix macros with potential side effects. (#1668)
* Make monster_desc() and its callers cleaner.
* Add spaces to colour names for text_out_e.
* Remove nether breath giving nether resistance for monsters; follow up close of #1791.
* Make do_cmd_wiz_query() actually display results.

Documentation changes
---------------------
* Add the player's guide (basic strategy and tactics) from the old wiki. It's by no means complete but it is something at least.
* Update the help files with info about protections and resistances
* Update inscription documentation.
* Fix option documentation (#1750)


Angband 3.4.1
=============

This is the changelog specific to changes for 3.4.1.  The much larger
changelog for 3.4.0 is below.

Bugs fixed
==========
  #1680 Fix pickup when squelched and unsquelched items are present
  #1683 Pref-parsing bug (thanks AnonymousHero)
  #1687 Fix mis-grouping of know and fuzzy-detected items in item list
  #1669 Fix unnecessary term_refresh calls on OSX Lion (mtadd and myshkin)
  #1695 Fix quit-crash on cocoa port
c0452e3 Do not leak information in item recall window
cf7b50b Fix Shockbolt tile loading in SDL

User Interface
==============
cb3a780 Separate dragon scale mail from normal armor for squelch purposes
  #1678 Enable mouse-clicks in cocoa port


Angband 3.4.0
=============

Welcome to the changelog for Angband 3.4. This file tracks the
changes made since 3.3.0

Bugs fixed
==========
  #1187 Fix opening chests in stacks (Noz)
  #1461 Fix saving and loading so that savefile.{old|new} are ignored
  #1462 Fix loading of graphics pref files in non-graphics mode (Blubaron)
  #1487 Prevent spoiler calls messing with everseen info
  #1506 Stop the hidden level-feeling tiles being displayed by accident
  #1515 Ensure that devices IDd on unseen monsters provide feedback
  #1516 Prevent excessive durations of monster timed effects
  #1517 Increase MAX_ITEMLIST to cope with new ignore/squelch approach
  #1518 Correct logic error in randart slay frequency calculation
  #1526 Mimics behave consistently when hit by friendly fire
  #1531 Remove pvals properly if they end up at zero (thanks PowerWyrm)
  #1533 Stop scrolls of light segfaulting on BSD (thanks vext01)
  #1537 Make sure that turning off randarts at birth works properly
  #1553 Fix randarts (blows/shots supercharge, RES_STUN)
  #1571 Use the displayed damage dice for damage calculation
  #1578 Avoid div/0 crash in project_m for stun attacks
  #1582 Make to-hit values IDd by shooting (thanks artes)
  #1592 Avoid pricing errors for negative pvals (thanks PowerWyrm)
  #1593 Remove ghost pvals on randarts
  #1594 Initialise random name tables properly
  #1661 Fix buggy refilling behavior
  #1665 Partial fix to allow pick-up in darkness
  #1666 Refresh screen after opening chests
9541bb7 Make pref file writing work with setgid installs
559e486 Save progress towards level feelings
52a331e Fix buggy earthquake logic
c2d9fee Make Heroism and Berserk spells grant boldness, like the potions
d9407cc Avoid crash on leaving level while hallucinating (thanks PowerWyrm)
d864ea0 Prevent crash when 'r'ecalling the Everburning ego
0a5ea4d Correct door fiddling/bashing messages for visible monsters
8071637 Fix summon_specific so it fails properly
a945067 Avoid crash with "reset layout" option
1384cc7 Avoid crash when clicking squelch menu 

User interface
==============
   #449 Describe each HATES_ flag only if IGNORE_ flag is not present
   #614 Improve the warning message for !-incribed items
  #1171 Darken the "Study" message when current books have no new spells
  #1485 Remove HIDE_TYPE
  #1491 Make "purple uniques" display correctly
  #1498 Nomad's updated tiles
  #1511 Make shift+keypad work in the GTK port (thanks to Daniel Santos)
  #1633 Save squelch status of items
ec47e94 et seq. Blubaron's improved tile support (graphics.txt)
744c7a6 et seq. New Cocoa front-end for Macs (thanks ridiculous_fish)
a101077 et seq. Blubaron's improved mouse support (Windows/SDL)
b19e71b Remove randarts "restarting generation" messages
0f5ab8d Display what monsters are known not to resist (thanks David3x3x3)
54d939a Many more fixes and enhancements from Blubaron
c25349c Add Shockbolt's 64x64 tileset
d992d84 Even more improvements from Blubaron
ab91c7e Add Andrew White's borg
44eaf2d Nick's UTF8 glyph picker
de24939 Fix GCU port to recognise backspace and del as distinct keys
bceddcb Blubaron's default layout for Windows
c252fd0 Blubaron's store UI improvement

Gameplay changes
================
   #547 Trap detection now detects traps on chests (thanks artes)
   #572 Prevent instadeaths from IDing summon scrolls/staves by use
   #631 Make enchant/disenchant more consistent
   #778 Objects on the floor no longer prevent trap creation
   #851 DRAIN_EXP now drains xp in proportion to total xp (thanks artes)
  #1039 OF_LIGHT is now a pval flag
  #1094 All items pseudo on pickup from after cl20
  #1113 Rebalance stealth and monster detection (thanks Jens & fizzix)
  #1156 Revisit stacks of consumables (thanks Jens)
  #1507 Rebalance to-hit vs. AC (take two, thanks Jens)
  #1513 Ensure that PDSM can't get the Resistance ego
  #1514 Move to fuzzy detection for objects not in LOS
bf5d943 fizzix's summoning changes
e8b48d5 et seq. CunningGabe's improvements to pits
8d7ea27 fizzix's animal toughening tweaks
7cef0aa Angels replaced by Ainu (thanks to Jeff Greene)
ef38e0f Increase max penalty on =Mouse, remove dam&AC mods on =Dog
983ead5 CunningGabe's mimic updates
fd5e3b8 et seq. Various difficulty tweaks:
		- reduce MAX_STACK_SIZE to 40
		- make DSM slightly rarer/deeper
		- make stuff more expensive to buy
		- reduce drops from apprentices/cutpurses
		- prevent Deep Descent and Teleport Level being sold in stacks
f4e1eb7 takkaria's lighting changes (torches radius 1, Phial radius 2)
77728a2 fizzix's birth changes (fewer birth points, fairer class bonuses)
b695d46 artes's changes to monsters with poison resistance
9f4c70f Make failed special artifacts good instead of great
ce25538 Remove DROP_GOOD from all non-uniques
b294d59 Make Deep Descent a timed effect (like recall) and drop 250'
803171a Allow PASS_WALL monsters to revert to normal pathing near permarock
14b1e13 Make object feelings react more to single great objects
1c96ef9 Make artifacts give a minimum feeling of "worthwhile"
d315993 Reduce good/great chances for item generation
0db8924 Destruction effects no longer destroy stairs
19d1ad4 Nick's small_device option for reduce range and sight
34bbdb6 Remove all remove curse items and spells (except *remove curse*)

Coding changes
==============
  #1221 Switch over to UTF-8 (thanks Noz)
  #1263 Add desktop entries to source and buildsystem (Noz)
  #1381 Split describe_combat (thanks artes)
  #1512 Change S_IREAD and S_IWRITE for Android compatibility
  #1551 Remove the now-redundant SHOW_MODS flag
91be218 Aerdan's updates to buildsys
fbe0ef4 CunningGabe's cleanup of monster code
3dd44a4 Update wiz-stats
1aa93be Remove most of limits.txt
a914ed2 pkg_deb script now excludes non-DFSG wav files
		Replaced many indices with pointers in function calls (ongoing)
9861f45 et seq. Remove all uses of %^s and use my_strcap() instead
a48326c et seq. Enable MinGW to use the buildsys, and other improvements (Noz)
		Various improvements to Carbon and Cocoa ports (myshkin)

Documentation changes
=====================
f345482 Convert in-game docs to RST (thanks fph)
b1ab879 Document the "wipe recall" wizmode command
        Instructions for compiling on various platforms


Angband 3.3.2
=============

Unfortunately a mistake in the fix for #1515 caused a nasty bug (#1545) 
where both hasting and slowing of monsters stopped working. This is 
fixed, along with some or all of the Windows numpad errors (#1494, 
thanks to Blubaron). Also fixed a minor bug with origin setting of gold 
in special rooms, and fixed some randart issues (broken supercharges, no
RES_STUN - #1553 - thanks PowerWyrm). Also finally removed those pesky
randart error messages!


Angband 3.3.1
=============

These changes were brought to you by Jens, vext01, David3x3x3, Blubaron,
Daniel Santos, fizzix, CunningGabe, PowerWyrm - thanks all.

  #1461 Prevent <savefile>.old and <savefile>.new being deleted when saving
  #1462 Fix crash when loading a graphics .prf in text mode
  #1487 Prevent spoiler calls messing with everseen info
  #1491 Make "purple uniques" display correctly
  #1498 Update Nomad's 8x16 tileset
  #1506 Stop the hidden level-feeling tiles being displayed by accident
  #1507 Rebalance to-hit vs. AC (so that AC is more useful vs. heavy hitters)
  #1511 Make shift+keypad work in the GTK port
  #1512 Change S_IREAD and S_IWRITE for Android compatibility
  #1513 Ensure that PDSM can't get the Resistance ego
  #1515 Ensure that devices ID'd by use on unseen monsters provide feedback
  #1516 Prevent excessive monster timed effect durations
  #1517 Increase MAX_ITEMLIST to cope with new ignore/squelch approach
  #1518 Correct logic error in randart slay frequency calc
  #1533 Stop scrolls of light segfaulting on BSD
9541bb7 Make pref file writing work with setgid installs
559e486 Save progress towards level feelings
63de8ad Become aware of mimics after trying to walk into them while afraid
664de63 Make a mimic on a pile of objects look like a pile
52a331e Fix buggy earthquake logic
c2d9fee Make Heroism and Berserk spells grant boldness, like the potions


Angband 3.3.0
=============

We, the Angband development team, are proud to present the latest 
iteration of the game, in the form of Angband 3.3.0. This time there 
will definitely be a 3.3.1 bugfix release for any serious bugs, but we 
hope this version is enjoyable. All major fixes and changes are 
described below. This version sees more significant refactoring, 
especially of the input layer, and the first major changes to dungeon 
generation for many years. It also adds a comprehensive stats collection 
module, which will be used to improve balance in future versions.

This release was brought to you by (in alphabetical order of IRC 
nickname): Aerdan, Erik Osheim, Elly Jones, Aaron Bader, Chris Carr, 
Robert Au, Peter Denison and Andi Sidwell. Please see the file 
thanks.txt for a full list of contributors.

Gameplay changes
================
	#50 New level feelings (also #1365, #1382)
    #77	Refactoring of and enhancements to cave generation code, including
   #838		circular rooms, labyrinths, and cavern levels
   #101 Improved monster pain messages
   #261 Moved fear, blindness, and confusion from resists to protections,
  #1163     and separated damage resistance from effect resistance (add pStun)
0ce7858 Remove confusion as a breath attack, along with bronze monsters/DSM
   #571 Multiple pval support
   #598 Made time attacks less evil
   #718 Made enchantment scrolls not appear in the shops
  #1005 Rewrite of object_power for slot-dependent price balancing,
  #1188     and pricing of light radius
  #1096 Drain charges only drains as many charges as a recharge gives
  #1145 Afraid monsters now have increased spell failure chance
  #1155 Added birth_keep_randarts option to re-use randarts
  #1181 General store now only buys lights, food, oil and spikes
  #1250 Stat drain now repairs on level up: restore stat potions removed
  #1310 Prevent unusually high AC armour from being detected from afar
  #1311 Being confused and walking into a wall now costs a turn
  #1341 Toned down +dam and +speed on nonweapon standarts and removed 
			brands from rings (Paurnimmen's brand changed to x2)
  #1345 Make Wrath, Ulmo, and Erebor match base item dice sides and weight
  #1350 STUPID living monsters no longer immune to life drain
  #1366 Wand of dragon breath now learned with use
  #1369 Rebalanced ego DSM
  #1383 Earthquake weapons with multiple blows stop attacking if the
			target gets moved by a quake
  #1384 Correct Curlicues One vault layout
  #1390 Meteors from meteor swarm now travel like bolts
        Make lurkers, mimics, and creeping coins more convincing
		Create doors, create stairs, and glyph of warding push items in
            adjacent squares away
		Rebalancing of some artifacts and ego items (and a few new ones)
		Allow locking of doors with the Disarm command, improve spikes
		Monster hindrance (sleep/slow/confuse/scare) now more useful
4bafa79 Make Teleport Other a bolt and make Destruction remove artifacts
8cd902c Remove percentage healing for potions, switch CLW/CSW/CCW to healing
			20/40/60hp respectively
4656bb7 Add a neutral gender
ce06a19 Scale no_selling gold multiplier in early levels, and reduce money
9367950     from selling by 1/3rd
759ab76 Tone down flask of oil damage
7c679b1 Remove random (pointless) curses on jewelry
35bc80d Make rings of strength appear lower
582adf5 Make artifacts not be actually created in birth_no_artifacts
60a8214 Poison melee damage now reduced by rpois
02de916 High AC no longer quite such overpowered protection in melee

User interface
==============
    #21 Added NPP's visible path-to-target (thanks, Jeff)
   #139	Major input layer refactor: remove macros, create internal keyset,
 et al.	    provide facility for recognizing modifier keys, improve and
			document the keymap editor
   #146 Added a "pile of items" tile for all tilesets (thanks thapper)
   #617 Added content to the SDL port's About box
   #777 Added 'K' command to toggle show or hide squelched items (also #1061)
   #820 Adam Bolt tileset element mappings fixed
   #855 Allow running from detection edge
   #856 Shops now ignore keymaps
  #1012 Show build version in dumps
  #1060 Replacing "destroy"ing with "squelch this item"
  #1063 Worthless items squelched by default
  #1074 More use of colour in monster recall
  #1116 Changing squelch options triggers item drops
  #1128 Subwindows set properly when loaded from a pref file
  #1149 Allow gtk-settings.prf to accept nonpositive window positions
  #1157 SDL/OS X: Handle transparency properly for 8x8 tiles
  #1218 Removed some options related to squelch, highlighting, display
  #1247 Knowledge browser: prevent going off the edge of the screen in
			double/triple tile mode
  #1261 Extended characters work on OSX
  #1265 Fix slowdown caused by map redrawing (thanks Jens)
  #1266 Fix the SDL port's options box
  #1267 Fonts now listed in logical order in the SDL interface
  #1291 Fix monster knowledge and recall to respect purple_uniques option
  #1320 Weak characters now display next "extra blow" correctly
  #1330 Fixed crash using @Z1 inscription
  #1363 Make Ar-Pharazon flicker, and change up some of the canine coloring
  #1373 Don't display artifact base kinds in the squelch menus
  #1380 Fix the 5x8x font
  #1397 Make ^e inven/equip subwindow toggling work in stores
  #1402 Backspace no longer gets doubled on Windows
  #1414 Show origin standart in randart descriptions
  #1438 Start multihued and flickering monsters as their base colour
  #1439 More consistent capitalisation of definite article
  #1465 Fix display of quiver slot when inventory is empty
  #1467 Some band-aids for quality squelchling (also #1472)
  #1485 Pval descriptions no longer displayed in object name
        Add updated tiles from buzzkill and juggle5
        Add skill, race, class info to birth UI
        Artifact description revisions
        Various code cleanup and improvements for main-gcu
		Use fuzzy matching for creating monsters and artifacts by name
		Improvements to handling of plurals
2ef38bc Move the 'jump into a trap(-)' command to '(W)alk into a trap'
889d204 Change recalled monster spell damage to max values instead of averages
eb8c440 Make message printing use fewer lines when possible
73da897 Make hints from the stores more common and less verbose
72cd70a Re-enable solid walls for windows
57c2709 Give death molds ATTR_FLICKER
09d70f8 Fix the ordering of races in the birth menu
33987fa Use <angle brackets> for pvals so that two pvals are not confused
            with (+hit,+dam)
84d37e8 Fix UI issue with aborting ENTER menu
a24e54c Display tile selections in decimal
90eb258 Renamed novice monsters to apprentices, gallants, acolytes etc.
00291f1 Remove the cheat_peek option
e177bf1 Allow overriding of keymaps
cde42c9 Make C-x immediately exit death screen
3534656 Added support for new keycode KC_BEGIN (keypad 5). Added keypad
            support for running and tunneling to pref.prf
9a0d219 Sync font-x11.prf with angband_color_table
ce0d34d Add -s option for sound selection
ca50f3a Make command-line options case-sensitive
fb7a532 Add "--" in front of player notes in history
6a273aa Print a message when Deep Descent cannot be completed
ea6368c Remove weird colour-setting lines from the pref files
f99301b Fix quiver slot in inven subwindow (thanks PowerWyrm)
49911e7 Add /me and /say support for the note command
b62590d Show distance in target-out-of-range message (thanks ChodTheWacko)
480b5ba Prevent messages about damaged items referring to post-damage values
cd77313 Azerath's fix for mouse movement

Other bugs fixed
================
   #679 Remove obsolete priest spell 6 from player class definitions
  #1305 Fix divide by zero error in monster recall
  #1307 Fix the 'n' command (also #1313, #1430)
  #1309 Allow -w switch to resurrect with +ve hp
  #1327 Allow object recall term window to display first inven item properly
  #1329 Fixed extra negation in flag_is_subset
  #1336 Fixed ID of "bad" pvals 
  #1337 Fixed crash from unintended self-targeting
  #1340 Fix to-hit bonus for randarts
  #1348 Fix and refactor broken summons
  #1356 Force cap of gold drops to MAX_SHORT (not fixed??)
  #1360 Fixed title display for second and subsequent pages of high score list
  #1364 Fix leather boots' rarity (and other object.txt fixes)
  #1392 Fix origin crash for no-longer-valid monster entries
  #1393 Remove apply_magic()'s MAX_DEPTH check
  #1394 Make ego_apply_minima work properly for 0 and allow a NO_MINIMUM value
  #1401 Fix parser_parse behavior on "char str" specifications
  #1434 Fix memory over-read bug in cmd0.c, thanks to david3x3x3
        Fix behavior of '8' squares in vaults
d17cd80 Fix bug marking certain players as cheaters erroneously
0a3519f Patch by agoodman to support 64-bit windows
7843139 Fix ammo breakage and make breakage message more timely
62814eb Fix off-by-one error in RNG
8dda678 Make cheat options correctly set score options
5c994a8 Fix chargen bug with player basic subwindow
cb6178b Add some assert()s in the history code, and fix history_add_full()
            to work for history entries that don't involve artifacts
c591348 Prevent store-restocking faults from entering an infinite loop
fb5f7ed Add do_cmd_wiz_learn() check to stop crashes on empty items

Coding changes
==============
    #84 Removed cptr
   #120 Object flags now held by the object
   #136 Windows port now uses libpng
   #269 Unified message code
   #318 Consolidated monster entries (and added new FRIEND flag)
   #749 Uniform way to query player knowledge of player state
   #786 Added comprehensive stats collection and output to sqlite db
   #803 Refactored monster spells and GF_ types into tables
   #942 angband.ico moved to src/win
  #1101 Cleaned up and documented savefiles
  #1302 Reconcile test and sdl initialization strategies
  #1306 Fix clean target in Makefile
  #1339 Fix documentation of flag_next()
  #1347 Make monster haste/slow temporary status effects (MON_TMD_*)
  #1349 Replace some uses of memset() with of_wipe() and of_setall()
  #1419 Create drops at monster creation,
  #1399		and add more ORIGIN_* values
  #1431 Implemented m_ptr->known_pflags; removed SM_* and DRS_*
        Major parser refactoring and cleanup
        Major object edit file and description refactoring
        Introduction of object/slays.[ch] to encapsulate slay_table[]
		Refactoring of object flags and introduction of obj-flag.[ch]
		Improved handling of player state (timed effects, resists etc.)
        Support for monster and object templates (monster_base and object_base)
        Refactoring of shooting/throwing code in attack.c
        Refactoring of savefile loading, including support for new item format
        Clean-up of code commented as "hack" or "mega-hack" etc.
        Include more headers in the windows module to remove warnings
        Port of SVN pkg_src to use git
        Refactoring of pickup and autopickup code
        Changes needed by APW for the borg
        Refactor obj-make.c
	 	Wiz-mode improvements: add commands for full monster recall,
            wiping monster memory, buffing character
		Move from o_ptr->name/name2 to o_ptr->artifact and o_ptr->ego
		Improved handling of null objects
		Numerous improvements to testing
        Fixes for extra_stat_bonus()
		Improvements to OSX build system
        Remove some variably-sized arrays
		Add support for specific monster drops
		Add more accessor functions to reduce dependence on #defines
		Numerous memory leaks fixed
520beb7 Nullfame's improvements to monster power evaluation
2738f1f New grid_light_level enum based on FEAT_LIGHTING_*
68ce8b0 Fix off-by-one error in FLAG_SIZE (spotted by nick)
0401c9a Fix memory leak in pref parsing
e7f1e57 Remove Term_user hook
f2581f1 Make cmd-obj.c entirely game code, and cmd3.c all UI code
6be460d New menu API that allows dynamic building of menus easily
fac5a00 Remove the distinction between birth and adult options
e772ff5 Fix some mingw build warnings
b1eae2d Tidy up defines.h and remove EGO_ indices
1b2f8cf Remove use of read/write in favor of fread/fwrite
6ab4caa Remove reference to removed file for Windows packaging
bd405d9 Add 'make splint' target and make changes to allow splint to run
aff4a87 Move autoinscriptions into object_kind struct
212fdfe Remove many of the hardcoded spell limits
443d455 Make make clean remove angband.o
9d666ff Refactor bolt/ball spell graphics
68703fc Added "ICKY" monster flag, and changed monster nests/pits to use
            monster flags only
4aebe45 Fix confusing case of variable overloading in dump_features()
ee8a236 Make recharge() function more readable
17faa5b Use Makefile.src in nds port
2479457 Added circular queue implementation
630fb5a Move monster pits/nests to an edit file.
7e0256c Removed autoinsc_dump() and squelch_dump()
a44e44d Make init_gtk correctly report failure
9aacfdc Remove old monster power hack from .raw file days
cc1cdc7 Remove LOG_PRINT*() macros and beef up file_putf()/file_vputf()
f9d00a5 Remove bashism from configure.ac (closes Debian bug #619695)
fac36a2 Fix compiler signed/unsigned comparison warnings
3578e64 Remove hexchars[]
06e290b pause_line() now takes a term argument
dc5427c Add codestats tool to calculate function length
53c4e15 Add documentation to option.h
b887a43 Add code coverage support (gcov)

Documentation changes
=====================
57d8bde Include copying.txt and faq.txt in OSX documentation
6e4b389 Added (T) command to help file.


Angband 3.2.0
=============

We, the Angband development team, are proud to present the latest 
iteration of the game, in the form of Angband 3.2.0. Although this 
version is the conclusion of a lot of work in the 3.1.x series, Angband 
continues to evolve and many further changes are planned (and some are 
in progress). This version is not entirely bug-free but hopefully 
contains no showstoppers. Doubtless there will be another release in a 
few weeks time fixing the bugs found herein, but in the meantime, play.

This release was brought to you by (in alphabetical order of IRC 
nickname): Aerdan, Antony Sidwell, Erik Osheim, Elly, Aaron Bader, 
Lebannen, Chris Carr, William Moore, Peter Denison and Andi Sidwell. 
With special thanks to Eddie Grove for challenging us to do better and 
helping us get there. Please see the file thanks.txt for a full list of 
contributors.

Gameplay changes
================
 #527 Add monster light
 #716 Improve rings of Mouse and Dog
 #731 Add no_selling option with triple gold drops
 #759 Enable multiple barehand blows (to see effects of STR/DEX at birth)
 #951 Increase base AC on armour; differentiate DSMs; allow ego DSMs
 #987 Melee blows now determined by "energy per blow" instead of "blows per
      round", aka "fractional blows"
#1008 Resistances reduce inventory damage (also #1183)
#1072 Remove CLW spell from rogues and magi
#1088 Chests can no longer contain chests
#1132 Brightness property preserved when refueling torches
#1140 Allow selling unidentified weapons to the temple so long as they are
      known blessed
#1140 Make Free Action on gloves obvious to magical casters 
#1183 Allow resists to protect inventory items from damage
r1947 Slightly more intelligent monster casting (don't heal if full hp etc.)
r1963 Increase rarity of zephyr hounds
r1969 Improve pseudo-ID
r1982 Ranged multipliers add (x3 bow with x3 slay is x6 not x9)
r1984 Maximum device failure rate lowered to 75%
r1985 Items in the quiver can now be destroyed by acid/fire
r1986 DSM activation times reduced to 50
r2024 Significantly improved balancing of item drops 
r2030 Remove birth_money option
      Various changes to randarts: off-weapon blows/shots/slays/brands less
common, speed more common on boots, multiple brands/slays rated higher, speed
rated consistently
      Significant changes to vaults and special rooms (pits, nests etc.)
      Caster level and spell level now affect casting speed a little bit

User interface
==============
 #256 Allow review of store and home contents via the knowledge menu
 #865 Add a pager for viewing output longer than one screen
#1092 Added option to display unique monsters in pale purple
#1119 Display burden in the inven term window, and show lbs remaining instead
      of percent capacity
#1140 Money is type squelchable through the squelch menu (= s o)
#1140 Add direction/distance to the visible item list ']'
#1207 Show melee to-hit chance in monster recall
r1971 Make summoning traps light blue
r1981 Coloured messages
r1999 Make ATTR_MULTI use the full range of colours
r2003 Add ATTR_FLICKER to make monsters shimmer in real time (optional!)
r2026 Allow quality squelching of DSM
      Added support for extended character sets ("xchars")
      Added support for expanded graphics tiles ("bigtile")
      Revised monster colours
      Added warning that -n switch will lose existing character unless -u is
used in conjunction with it
      Added Nomad's 8x16 tiles
      Various improvements and fixes to the GTK port
      Occasional hints on entering stores during early character levels

List of bugs fixed
==================
 #862 Fix inscription parsing in stores
 #938 Fix non-maximise mode
 #979 Prevent leakage of information about artifact flavours
#1058 Fix energy problems on game loading
#1071 Do not allow unIDd items to stack with identical IDd items in the object
      list 
#1075 Make -r option work properly again
#1106 The psychic warriors bug (mana displayed for warriors)
#1122 Fix a display bug with the number of dropped items in the home
#1123 Fix an update bug with the monster list subwindow
#1129 Fix shooting power display in stores
#1130 Prevent the casting of forgotten spells 
#1131 Fix squelch worthless so non-salable items are squelched, salable items
      are not squelched, and the object knowledge menu indicates worthless
      items which are squelched by the option with Yes*
#1133 Do not mark object flavors {tried} on device activation failure
#1138 Fix the cost and nutrition on Potions of *Healing*
#1139 Fix repeating actions from actions menu
#1140 Allow selling of Potions of Dragon Breath
#1140 Do not display pvals for known flavors before use/ID
#1142 Fix 100% CPU problem with x11 mode
#1143 Fix darkness effect 
#1144 Fix timed effect increase messages
#1151 Level of chest items is now determined differently, reducing the chance
      of producing items below their max depths
#1154 Fix an issue with the message for addtional str/dex to get extra blows
#1160 Fix memory leak
#1167 Fix preserve off mode
#1170 Ensure history captures all clev gains
#1177 Fix duplication of slay info when inspecting weapons
#1181 Make General Store only buy known items
#1184 Fix level feelings
#1185 Print hit messages when unarmed
#1189 Show correct slay/brand damage when inspecting melee weapons
#1190 Fix "bad" quality squelch
#1195 Allow selling blessed diggers in the Temple
#1201 Prevent ammo leaking info about launcher brands/slays
#1209 Add safety check for artifacts with activation but no message
r1943 Potions of life should repair CON before hp
r1972 Fix bug when running with 100% searching
r1983 Fix divide-by-zero crash on device activation
r1996 Make remove curse affect items in the quiver
      Make the -u switch work properly

Coding changes
==============
  #55 Introduction of unit tests
#1102 Major bitflag rewrite
#1121 Remove spurious bools from main-sdl.c
r2005 Allow wizmode tweaking to specify artifact or ego type (name1/name2)
      Destroy init1.c and salt the earth around its cities
      Completely rewritten edit file parsers
      Significant refactoring, removing or consolidating many globals
      Partial rewrite of input layer and command handling
      Added new WELL1024 RNG
      Move to C99 compilation standards
      More flexible quantity specification in edit files (A+BdCMD)
      Remove the RISC OS port

Documentation changes
=====================
r1973 Remove obsolete references to class restrictions
r2012 Include power rating in artifact spoiler
      Substantial rewriting and update of in-game help files


List of bugs fixed in 3.1.2v2
=============================
 #931 Turn off pricing.log
#1029 Make "fire at nearest" command work in roguelike keyset (tab)
#1099 Fixed the description of the Berserker spell
#1103 Unarmed attacks now allow the player to learn "notice on attack" things
#1105 Fix OSX fresh install bug (no save dir)
#1107 Fixed typo bug display green in 16-color GCU mode


Angband 3.1.2
=============
We, the Angband development team, are proud to present the latest iteration
of the game, in the form of Angband 3.1.2.  Like other releases in the 3.1.x
series, this is a beta, though it should be less buggy than other 3.1.x
releases have been.  Doubtless there will be another release in a few weeks
time fixing the bugs found herein, but in the meantime, play.

Please note that this release breaks savefiles again.

This release was brought to you by (in no particular order): bron, Tobias,
Eddie Grove, Antoine, Chris Carr, MarbleDice, Erik Osheim, Stefan O'Rear,
Peter Denison, Andi Sidwell, rhinocesaurus, and Andrew Doull, Marco and Pete
Mack.  Other people may have contributed too; if you're missed off here,
please file a bug at http://trac.rephial.org :)

Gameplay changes
================
Make paralysis non-cumulative (you can't be paralysed more if you're already paralysed) (#783)
New algorithm for device failure rates, and display those rates during the inspect/aim/use/zap commands (#483, #715, #1048)
Extensive tweaking of artifact list (http://angband.oook.cz/forum/showthread.php?t=2454)
Various randart changes, including random activations on non-lights (#974)
Add NPP-style quiver (#34)
Tweaks to ID-by-use:
 - Don't display larger than normal base dice (artifacts/boosted egos) until the weapon is attacked with (#982)
 - Notice artifact status on pickup (#1052)
Bows of Power/Accuracy should always have a good bonus (#782)
Show stat requirements for additional blows when describing melee weapons (#922)
Decouple chance to enchant and chance to uncurse (#1007)
Increase variability of gold drops
Increase prices of ego ammo by assuming +9 launcher
Make player races a bit more varied
Deep Descent now acts as a 2-level down Teleport Level (#1062)
General store buys some stuff again (#288)
Empty wands/staffs sold to stores are recharged (#229)
Boost device damage on high device skill (#419)
Make wands/rods of lightning bolt always beam
Mage damage spells have lower mana usage than before, by about half, making using magic when attacking more appealing 
Detect Invisible spell should reveal non-invisible monsters too (#1047)
Combine priest Detect Trap and Detect Stairs prayers (#941)
Remove destroyed levels
Remove the self knowledge effect (#831)
Increase odds of out-of-depth monsters
Smeagol now has HURT_LITE (#955)
Give rods of lightning balls IGNORE_ELEC (like wands)

User interface
==============
New commands:
 - Center map (Ctrl-L)
 - Fire at nearest enemy with default ammo ('h') (#697)
 - Target closest monster ("'") (#374)
Make look/target command a lot more usable, with less stuff cluttering the screen and a '?' display a la the stores (#924, #927)
Display shots modifiers on bows in the multiplier
Uniques are now all purple (#1000, pending full implementation of extra colours)
Destroy command now asks 'yns' to allow squelching
Tweak monster recall; (#743, #532, #541)
 - add damage estimates for monster spells
 - add more meaningful colours that depend on the player's state (vulnerabilities and resistances)
 - change the order of sentences
Show player-turns on C screen and in dumps (#891)
Add "{unseen}" to unaware items in stores (#732)
Add price to the item list when the player is prompted to select an item to sell (#861)
Add light sources to the quality squelch menu (#1032)

List of bugs fixed
==================
 #294 Fix ego-item recall on object knowledge browser
 #443 Lack of HURT_LITE and HURT_ROCK are noted as resistances
 #688 Fix "learning spells" message when casting
 #641 Fix Morgoth artifacts *again*
 #708 Monster recall and object knowledge update more correctly with sleep/scare/etc effects
 #816 Random teleport no longer prints odd messages if you try to work into a store when it triggers
 #884 Don't use a turn when an item has no charges (also see #980)
 #915 Print trampling and pushing past messages only when monster is in view of the player
 #918 Warn player when melee attacks do no damage
 #920 Make permarock a different colour
 #923 Add notify_recharge option to notify on all rod/activation recharges without inscriptions
 #926 Restore artifact activations to character dumps
 #929 Avoid giving away unknown pvals in object descriptions
 #930 Fix prices of known objects with unknown pval
 #933 Fix ID-by-use for AC bonuses
 #935 Check that the item exists before accessing it in resistance display
 #937 Quality squelch UI fixes
 #943 Use correct symbol for wand of teleport other
 #945 Make scrolls of Darkness notice rDark as well as rBlind
 #948 Fix corrupted messages when dropping in the home
 #954 Ring of Accuracy displays (+h,+d) like everything else
 #967 Ensure that artifacts ID'd by use appear in player history
 #972 Reword origin of store items to make sense when inspected before purchase
 #975 Potion of Dragon Breath can destroy itself and cause double-delete
 #976 Fix recall of artifacts in knowledge menu (also #1065)
 #978 Stop knowledge menu leaking info via squelch settings
 #980 Don't use a turn when an ID spell/scroll/staff has nothing to ID
 #986 Don't show refuelling info for unrefuellable lights
 #988 Artifact spoilers include curses again
 #989 When artifact creation fails, fallback to great items
 #990 Inven/equip windows keep weights closer to item names
 #994 Make {wielded} inscription change to {worn} as necessary for consistency
#1010 Branding now IDs the item after branding
#1011 Fix fail behaviour of gain-one-lose-one stat potions 
#1013 Multiple brand/slays should only print one message and only print brand messages once
#1016 Make jewelry auto-ID properly
#1034 Town no longer interrupts level feelings
#1040 Object origin now shown correctly on chest-generated items
#1042 Fix room lighting crash bug
#1043 Rods on the floor now charge as fast as rods in inventory
#1053 Show ring and chest mimics in monster knowledge
#1055 Fix pval display on fixed-pval jewelry
#1064 Stop invalid open/disarm/etc commands repeating
#1067 Monster list updates on monster move
#1068 Stop stat rings IDing prematurely (interim solution)
#1070 Auto-repeat the search command
#1081 Correct origin text for items found in chests
#1082 Don't print messages for squelched items dropped underfoot
#1084 Fix gold generation bug
#1089 Fix magic missile's visual effect

Fix effect descriptions for unIDd food, potions and scrolls
Describe brands on torches and flasks correctly (they do not brand melee attacks)
Re-enable auto-stat-buying in the birth process
Ensure it is possible to destroy wielded items with the destroy command
r1630 fix keymap loading issue
improvements to grammar per mailing list
Better grammar in ID messages
Fix possibility of infinite loop when generating ego-items
Update description of GAIN_EXP effect
Player melee confusion effect now triggers before monster death is checked
Rename "Detect Hidden Doors/Traps" to "Detect Doors, Traps & Stairs"

Misc
====
  #23 Import UnAngband's 256-colour display code
  #43 Move names for randarts and player into names.txt
  #46 Create missing directories on startup if necessary
 #771 make object_desc use better use of bitflags
 #934 Flags set in monster lore now mean "know the presence or absence of this flag", a la known_flags on object_type
 #939 Scale X11 port's colours to the maximum gamut
 #961 Remove the .raw files
 #984 Move artifacts to alloc_prob system, enabling max depths
 #995 Updated references to copyrights and licences (pending full help rewrite)
#1038 Various fields in the edit files now take random values of the form "5+2d6M8"
      (e.g. stack size, pval, to_hit, to_dam, to_ac, recharge time, number of charges)
#1079 Fix GTK port memory leak
      Replace all instances of "lite" and "hilite" with light and highlight (except rLite on the C screen)

Unix
====
Comply with the FHS (#134)
Remove debian/ directory - Debian packaging now hosted at git://git.debian.org/git/collab-maint/angband.git
Make --no-install work again
Make --use-private-dirs the default
Improve the GCU port a bit:
 - added gcu subopts -a(scii) and -g(raphics)
 - fix ncurses-autoconf bug; fix gcu bg-color bug; add xterm-256color support
 - handle putty numpad (#796)
 - supports dynamic resizing (#368)


Angband 3.1.1
=============
This is an Angband development version -- it may be buggy, so be warned!
Special thanks in this release go to: Eddie Grove, Elly, Stefan O'Rear,
Mango Juice, Gabriel Cunningham, Chris Carr, Chris Robertson, Peter Denison,
Joe Buck, Eric Osheim, Antony Sidwell, tigen, and rhinocesaurus, without whom
this release would not have happened.

Significant changes in this version:
====================================
The identify system, previously tweaked in 3.1.0, has been overhauled.  The game
now allows you to identify items through use instead of using Identify scrolls;
this means that you wield unknown items more often and use them for a while
until their effects become obvious.  For example, wield an unknown sword and
attack foes, and you will soon discover its combat advantages.  If you wear some
armour and it increases your intelligence, the game will remember that.  And
when you have discovered all of an item's attributes, that kind of item will be
automatically known in future.  "Identify" is still in the game, but you will
need to use it much less than before, and as a consequence, it is more
expensive.  The game is more fun this way, trust me.

The second change that many will welcome is a reworked squelch system by Eddie
Grove, which is quite similar to the one present in his patch of 3.0.9.  It
allows squelching of more item types independently of each other, as well as
squelching unaware consumables.

Another major change that most players will notice is the significantly
different pricing that many items have.  This is because the algorithm that
detemines item prices has changed a lot, and hopefully gives more reasonable
prices than before, both because it makes things few would buy much cheaper and
because it tries to price generally in proportion to usefulness.  This, combined
with the two points above, means the emphasis of the game is much less on what
you can lug back to stores to sell, and much more on exploration.

For people who play with randarts, you should now find them more interesting and
better-balanced.

List of bugs fixed
==================
(#29) Gold stolen by monsters is now stored in their inventory.
(#30) Now using a new savefile format (no user-visible change)
(#33) Add BRAND_FIRE to oil flasks and torches.
(#48) Improve the randart code a lot.
(#62) Game is now available entirely under the GPL.
(#63) Dynastic character numbering support 
(#328) 'lore' functions now write to subwindows when appropriate.
(#343) Add autosave on level change.
(#352) Probing now reveals attack and spell information.
(#367) Prompt for which ring to replace when wearing two
(#412) Monster list is no longer hallucination-proof.
(#448) Heal spells now identical to potions of same name
(#451) Fix inventory/equipment and message update in store.
(#496) Give wands and staves EASY_KNOW, so they no longer need ID.
(#521, #597, #635) Stop the slow launches and occasional non-launches on Windows.
(#561) 'n', when used to fire missiles, no longer ignores confusion.
(#562) Ego-items are now never squelched as "bad" or "average".
(#572) Make ID-by-use more viable by making monsters summoned from player actions have less energy
(#613) Prevent {!*} prompting for harmless actions.
(#637) Print messages when monsters crush or push past each other.
(#639) Reset social status to original value with quickstart
(#641) Fix Morgoth artifacts.
(#645) Fix fail rate display wrt amnesia
(#654) Allow pseudo to work whilst resting.
(#661) Prompt for how many items to buy in a store now doesn't get the number in your pack wrong when there's > 99
(#663) Numbers of summoned monsters now match singular/plural message text
(#672) Fix Evenstar activation message.
(#673) Fix description of Identify scrolls.
(#676) Fixed character creation help.
(#675) Fix graphics mode cloak tile bug
(#677) Character history now in character dump
(#679) Mages no longer get told they can learn more spells than they can
(#680) Stop displaying two highscore entries for dead characters.
(#682) Remove the autoroller
(#683) Fix !Berserk Strength being unsellable.
(#685) Scrolls of Create Trap now ID on use.
(#688) Mages once more get a message when they can't learn new spells from a book.
(#690) Item descriptions now take player speed into account.
(#691) Make of Open Wounds similar to ther pval-less rings in that it doesn't need ID.
(#694) Fix dropped rods recharging, and any other rod-related oddities.
(#696) Put character name back onto the dump.
(#698) Added '!' to 'R' prompt to rest until mana or hp are full.
(#700) Stop running one square away from already-visible monsters
(#705) Randart activation messages no longer refer to the original artifact.
(#706) Number of blows on 'I'nspection screen should be correct now
(#709) Don't display the wrong tile in graphics mode at detection boundaries
(#711, #764) Fix descriptions of area-of-effect detection.
(#712) Autoinscribe items in the first inventory slot.
(#717) Make stat potions just a little bit more common.
(#721) Searching bonuses are now displayed as a % increase to match the character screen.
(#722) Fix spoilers and wizard mode cheat info not displaying magical abilities
(#723) Fix support for playing in the terminal on OS X 10.4.
(#724) Critical hit messages come after regular hit messages again.
(#725) *Remove Curse* now removes all curses again.
(#727) Targetting warns when out-of-range
(#729) Random teleportation disturbs the player.
(#730) Mention control+[ANU] in monster recall '/' prompt.
(#733) Curse Weapon/Armour no longer blast your objects completely, they just curse them a bit.
(#734) Stop displaying the store slot bought when purchasing.
(#735) Remove weak pseudo-ID.
(#740, partial #532) Color-code monster melee attacks by how dangerous they are to the current player.
(#741) Stop generating spurious staircases under the player on recall/teleport.
(#742) Mention tunnelling ability in item descriptions.
(#745) Fix a monster movement bug where monster packs would try to "surround" the player without fo st checking that they weren't already.
(#747) ui-birth.c needs to handle going directly from character sheet to sex prompt.
(#748) Allow Rings of Delving to activate.
(#754) Have a go at using a slightly cleverer pricing algorithm for combat gear.
(#755) Fix pseudo-id of branded ammo, so already-known ammo doesn't get pseudo-ID'd.
(#762) Alchemist's Gloves are now wearable by mages
(#766) Scrolls of trap creation now longer crash in town.
(#767) Hitpoint warning now accepts only numbers from 0-9.
(#770) Fix item pickup energy inconsistencies.
(#772) Display searching bonuses for rings of searching in object descriptions again
(#773) General Store now restocks like other stores (e.g. more food will appear without you having to buy out all the food).
(#774) Ego-items with random powers no longer get duplicate powers
(#781) Remove the cap on potions of experience -- they always give 100k XP now.
(#784) Stop dumping squelch settings with other options.
(#792) Arriving on new levels is guaranteed to be safe
(#799) Elessar and Evenstar now show the right recharge times.
(#801) Inscriptions now shown properly in the home.
(#813) Potions of Healing now do what the description says they do, not something much more powerful.
(#814) Don't allow attacking when scared (rather than wasting a turn)
(#830) Fix knowledge menu crash by initialising knowledge commands earlier
(#839) Remove 12% of HP for ex-FORCE_MAXHP non-uniques
(#848) Monster list shows in/out of LOS and asleep/awake
(#849) Drop squelched items after ignoring them
(#864) Stop autoinscriptions from overwriting manual inscriptions
(#865) Weapon descriptions should no longer be too big for a 80x24 screen
(#868) Rings of Escaping have more accurate description
(#874) Update monster list when monsters wake up
(#893) Auto-pickup is no longer disabled when hitpoints are low
Fix bug with rods of treasure location needing ID.
Fix birth_money so that in point-based it still gives you 500AU.
Fix double-resist damage.
Fix pluralisation of 'staves'.
Fix artifact recharge times.
Fix displaying the special rings in the object knowledge viewer.
Fix randart saving/loading.
Add Word of Recall status to the status line.
Make teleport level work in ironman before DL 99, always moving downward.
Allow use of the object knowledge menu for setting up item-kind squelch.
Tone down the frequency of {excellent} items somewhat, and tweak {good} frequency.
Tone down detection area a wee bit.
Remove the 'K' command and instead put a prompt after the 'destroy' prompt.
Weaken PDSM just a tad.
Enchant Armour scrolls ID when reading them, not when they are successfully read.
Tone down Troll Priest HP.
Turn off show_flavors by default.
Include critical damage in the object description's average display.
Make Kavlax 'scary dark like Ancalagon'.
Curses on jewelry only happen with negative-pval items.  (temporary)
Only wake monsters on attack if you're not "too afraid to attack".
A few fixes to the visual editor on the knowledge screens.
Add yeeks to the monster knowledge browser.
Make the object knowledge list sort some items by sval rather than alphabetically.
Items trying to be dropped on the floor now attempt to delete the oldest item on that grid that's been squelched.

Unix ports:
Update angband man page.
Get debian packaging stuff working.

Curses port:
(#666) Fix out-of-bounds memory access
(#678) Don't leave terminal colours broken on quitting
Disable ^Y on BSDs, since it clashes with roguelike keyset
Add pseudo-graphics support
Use curses to parse keys, which is more portable and removes the Escape delay.

Invisible code changes:
Once again, the game has seen some large-scale reworking.  Mentioned here is only a small subsection of that reworking.
(#513) Refactor the code that prompts for character dump filenames so that it can be overriden by platform-native ports.
(#616) Add support for BSDish makes.
(#664) Refactor brands and slays so they're defined in one place and referenced elsewhere.
(#749) Add an id_only paramater to calc_bonuses().
Significant work on making the game more command-based than keypress-based
More flags now kept in arrays
Make "make clean" remove all object files in the list, to catch files in subdirectories.
Commit the beginnings of a flag-based terrain system; note that it does absolutely nothing as yet.
Make the z-virt defines cast to the right type so that assignment errors can get caught a bit ealier on.
Fix autoconf install errors.
Remove an unnecessary call to getlogin() which was screwing up su'd users.
Dependency generator has to add dirnames itself
Remove "uint" from main-x11.c.
Tweak the OS X makefile to be a little more terse.
Make the game a little bit more borg-friendly.

Debug mode:
Add help file documenting debug mode.
Add a prompt for artifact name when using ^AC with no command count,
Add a prompt for monster name when using ^An with no command count.
Allow tweaking of curses when playing with objects


Angband 3.1.0
=============
This is an Angband development version -- it may be buggy, so be warned!

Special thanks for this release go to: Eytan Zweig, pelpel, Kenneth Boyd,
J.D. White, Eddie Grove, Rowan Beentje, Nick McConnell, Gabriel
Cunningham, Shanoah Alkire, Alexander Philips, mikon, Antony Sidwell,
Joe Buck, Erik Osheim, d_m, Antoine, and all the alpha- and beta- testers
who downloaded the game, sometimes in an extremely shaky state, and played
it anyway.

Noticeable up-front UI changes
------------------------------
 * Add EyAngband-style quickstart option.
 * Notes, like NPP and FA, except with brand new code by J.D. White.
   (#10)
 * Add a trap detection indicator.  Also, colour the edges of trap-
   detected areas green. (#19)
 * Make status bar display all timed effects, left-to-right, which
   involves moving the dungeon level to the bottom of the left-hand
   display. (#191)
 * Add show_lists option, which is the same as always_show_lists in
   Ey. (#25)
 * Auto-wield birth items (#24)
 * Change the object information screen quite a bit: (#214, #26)
   - Show average damage for weapons and ammo (#26)
   - Make descriptions a fair bit terser (#399)
   - Show breakage chance for ammo
   - Track item origin, so every item has a tag telling you where it
     came from (#149)
 * Monster recall changes (part of #152)
   - some colouring removed, some added
   - Monster's depth is in red if it's beyond maximum depth, light
     green otherwise.
   - more information is known about monsters before they are killed
 * Add how many items the player already has when buying something at
   the store.  (closes #151)
 * Allow use of the space bar to advance a screenful in all
   menus.  (#244)
 * Make all menus wraparound at the top/bottom.  (#244)
 * Monster recall display now cycles through monsters in level order,
   not in the order that the monster definition file is written
   in.  (#302)
 * Add an indication of maximum capacity in the inventory
   display.  (#358)
 * Menus should use 1234567890 as little as possible for "tags".  (#292)
 * Remove the "depth_in_feet" option, instead displaying both the
   dungeon level and the depth everywhere.
 * Ensure that store-bought and birth-given torches have the same number
   of turns for stacking purposes.
 * Death screen now uses scrollable menu. (#416)
 * Drop squelched items
 * Append {tried} to tried items in the object browser (r606)
 * Put {tried} items before untried items in the object browser
 * The monster list display has a little more colour-coding
 * Death menu now uses a scrolly menu.
 * Preserve mode has a sensible description again.
 * Try and differentiate the level feelings more.
 * Add the moderately well-tested "lazy movement" patch which allows a 
   movement delay to be set, during which it is possible to choose a
   second direction.  This means that up and left in quick succession
   can be translated to an actual diagonal.  This may improve some
   people's laptop playing experience without resorting to the
   roguelike keyset.
 * Add bigscreen support to the self-knowledge screen.
 * Make inscriptions like "!k!k!k" prompt multiple times again.  (#492)
 * Make monster XP and native depth always known, even without
   kills.  (#596)
 * Rejig social status a bit -- it rises with level from a certain baseline.
 * Display various skills numerically on the character sheet, rather than
   with text.  This is like Eddie's patch, but a bit more polished.
 * Add a "display item list" command and term window.  (Thanks to Eric
   Osheim)
 * Add method of death to the character dump.  (#501)
 * Tell the payer when timed effects increase or decrease as the result
   of effects.  (idea by Eddie Grove)
 * Windows versions now use hashes and percent signs for walls until
   there's time to sort out all existing fonts to be Vista-compatible.
   (#232)
 * Squelch 'K'ind feature now available in the roguelike keyset. (#339)

Gameplay changes
----------------
There are some pretty big gameplay changes.

The object list has been reworked quite a bit.  It is a bit more
varied and has less duplication.  Some items have been removed and
others added.  The new items have had relatively little testing and
may be gone again next release.
 - The number of items that monsters drop has been reduced drastically.
 - Potions tend to appear in stacks now.
 - The range of food items has been reduced.
 - Healing heal a proportion of wounds, not just a set value-- this
   makes all the potions useful.
 - Add a selection of "gain one, lose one" stat potions to replace the
   old stat loss potions-- they guarantee a stat to raise and reduce one
   randomly.
 - The Elven Rings have a variety of healings, at the suggestion of
   Timo.  Also, apply some other changes from the TV-patch (r428)
 - Replace the sustain {stat} rings with sustain mind and sustain body,
   providing three sustains each.
 - (#543) Make ammo of slay evil/venom apply to Mithril ammo too.

Gold drops have also been reworked.  By the end of the game, there is
about 3.6x less gold per drop than in any earlier version or Angband
or Moria, but the amount per drop at the beginning of the dungeon 
is quite similar to pre-existing levels.  You may be interested in
looking at http://rephial.org/research/avg_gold_drop.pdf for an
illustration.

Magic mapping and detection use the same-sized rectangular area around
the player regardless of screen size.

Fear now carries a to-hit penalty to missile weapons of 20, as well as
giving an AC bonus of 8.  It also increases the failure chance of
spells, but spells that cure fear have been made harder to fail to 
balance this out.

Birth:
 * Make point-based points worth less gold.
 * Minimum starting gold is 200AU.
 * Add an option to start the character with 500AU but no equipment.
 * Point-based character generation is now equivalent to best available
   from the autoroller.  (Eddie Grove)
 * All characters start with WoR.

Stores:
 * Phase Door is now a staple item.
 * Start stocking deeper items as the character descends.
 * Rewrite the rules for shopkeepers
   - Remove individual-shopkeeper and race-based price changes from the
     store code, to make it easier to balance pricing.
   - Adjust adj_chr_gold[] values upwards to represent the average-110%
     inflation usually applied by the individual-shopkeeper greed
     values.  This should really be applied to the object.txt file
     instead, though.

ID:
 * Make ID reveal all powers of an object, and remove *ID*.  (#158)
 * Make pseudo-id not occur whilst resting, but also make pseudo-ID
   lengths shorter (by a little over half) to compensate.
 * Some items, when worn long enough, get automatically ID'd
 * Items pseudo-id'd as {average} are automatically ID'd, and thus will
   stack properly
 * Make wands/staffs stack even when un-ID'd
 * Pseudo-ID obviously excellent items as {excellent} when possible
   (e.g. brands/slays/obvious stat bonuses).
 * Remove "good" pseudo-ID, replace with "magical" -- for non-cursed
   non-average non-ego non-artifacts
 * Add "strange" pseudo-ID, for when items have mixed blessings
 * Stop automatically cursing all bad weaponry
 * Make weak pseudo-id notice the difference between magical and
   excellent
 * Allow any/all rings/amulets to be cursed if the game wants to
   generate a "bad" item.  This is liable to be rethought in the future.

A small selection of other changes:
 * Remove autoscum.  (#365) -- really?
 * Add minimum depths for each kind of trap.  As such, only teleport and
   confusion traps occur at dlev1.  This should help some people.
 * Make the rogue slightly better at combat than the ranger, based on Timo's sugges
   tion.  (Message-ID: <651vknF2cvjl2U1@mid.individual.net>)
 * Lower the distance missile weapons can fire into the 10-14 grids range.
 * Make monster arrow attacks sometimes miss.  (#537)
 * Some improvements to monster AI.

Port
----
 * X11: Add -x commandline option for choosing the location of the
   settings file (#333, patch by morth)
 * GTK2: Continue work; add term windows, graphics, etc. and also some
   special dedicated display windows, like "messages" and "monster
   list". (shanoah)
 * OS X: the OS X version is now a universal binary, and runs faster,
   better, quicker, and with more sound than before.  (Rowan Beentje)

Code-level
----------
Monster HP is now specified as an average value around which to
randomise, instead of using a "12d5"-type calculation.  Uniques always
have the number of HPs specified in the monster.txt file, like before.
This is copied from Ey.

A lot of code-level cleanup has been applied to this release, much of it
still in flux.  Many new files have been split out of existing files,
which should now have much more self-explanitory names.  The player/, 
monster/ and object/ subdirectories have been created, to aid seperation
of code.

There is also a new generic effects handler so that all item activations
and use abilities share the same code; this replaces use-obj.c and a lot
of descriptions from lib/edit/object.txt. (#234)

Memory handling has been reviewed.  Now, all code should assume that
allocation will succeed, just like it did already.  There is also a
realloc()-style function along with its own hook.  string_make() has
been modified to no longer return a "const char *", and so all the code
now only uses "const" when it means "const".  Some macros have been
removed.

"Elly" rewrote the message and quark packages, previously in util.c,
and in the process split them out into their own z- files.  The z-msg
package is now much more understandable but marginally less "efficient",
and certainly less "optimised".

Option definitions have moved to option.h, and the names and
descriptions for options have moved to option.c.  Option data is now
stored in a much more visually compact way, much more suitable for
editing than the old system was. (#64)

Additionally, a new file API has been introduced which combines the
previous mishmash of fd_*() and my_f*() calls into a simpler, better
documented interface.  (#137)

Store stocking is specified in lib/edit/store.txt now, in a reasonably
flexible format.

A fair bit of work has gone into allowing item names to be used in the
edit files rather than the tval/sval numbers.  For example, see the
new store.txt file; but also the lib/pref/ graphics files, and the
starting items in the p_class.txt file, amongst others.  This is a
fairly easy thing to do and is a massive massive usability enhancement.
It means that invalid item references are caught much sooner, since if
an item is removed, all references to its name become invalid.

Set up an event system for UI display updates, where the game
communicates with the UI by sending messages saying that something's
changed that the UI might be interested in, rather than deciding that
specific things should be redraw.  The main screen updates all use this
system now.  Amongst other things, this system should help things like
the borg and graphical frontends, because they can hook right into
changes in state.  (#348)

object1.c and object2.c have been split out into a series of files,
obj-{desc,make,ui,util}.c.  This makes it much easier to remember what
is where.  Also, object_desc() has seen a rewrite, so hopefully it's a
lot more hackable now.

The beginnings of an organised code documentation scheme have started,
using doxygen.  Makefile.std provides an easy mechanism to generate docs
(try "make docs").

Other assorted changes:
 * Remove a whole load of useless or unused configuration options from
   config.h.
 * "make -f Makefile.inc depgen" will output "Makefile.new", which then
   contains up-to-date dependencies for the project.
 * Add "flags" back to object_type, removing the need for the hacky
   "xtra" bytes.  This paves the way for e.g. fireproofing scrolls
   later. (#120)
 * Makefile for MSVC/NMAKE command-line build.  Currently works with
   MSVC 6+; flags could use tweaking for MSVC 8+.
 * Clean up racial and class skill values into arrays.  (Kenneth Boyd)
 * Use header file guards in all header files, and use a consistent
   naming scheme for them ("Elly")
 * Add a very basic test harness for "unit testing" of the game's code,
   though this is barely used at present.  Thanks to Fennec for cleaning
   this up a bit.
 * Introduce the one_in_() notation to the game, for percentile dice.
 * Move to using randint0() and randint1() for random numbers.
 * Add proper transparency to the PNG files.  (fixes #270; thanks to Rowan Beentje
 * Move to using flags[6] for monster flags rather than individual flagsets.
 * Score code moved to score.c and extensively refactored.
